Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class IPAddressResponseMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.messaging.SocketMessage
                  rice.pastry.socket.messaging.DatagramMessage
                      rice.pastry.socket.messaging.IPAddressResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class IPAddressResponseMessage

extends DatagramMessage

Class which represents a request for the external visible IP address

Version:
  $Id: IPAddressResponseMessage.java 3519 2007-01-08 17:57:39Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected java.net.InetSocketAddress` | `address`
`static short` | `TYPE`

Fields inherited from class rice.pastry.socket.messaging.DatagramMessage
`start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`IPAddressResponseMessage(java.net.InetSocketAddress address, long start)` Constructor
`IPAddressResponseMessage(InputBuffer buf)`

Method Summary
`java.net.InetSocketAddress` | `getAddress()`
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.socket.messaging.DatagramMessage
`getStartTime`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### address

    protected java.net.InetSocketAddress address

Constructor Detail

### IPAddressResponseMessage

    public IPAddressResponseMessage(java.net.InetSocketAddress address,
                                    long start)

  Constructor

### IPAddressResponseMessage

    public IPAddressResponseMessage(InputBuffer buf)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getAddress

    public java.net.InetSocketAddress getAddress()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `DatagramMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.